/* ###--------------------------------------------------------------### */
/*									*/
/* file		: dx_yacc.h						*/
/* date		: Feb 15 1995						*/
/* version	: v0.2							*/
/* author	: Pirouz BAZARGAN SABET					*/
/* description	: DLX assembler - external, global and static variables	*/
/*									*/
/* ###--------------------------------------------------------------### */

extern int           DLX_ARCHIT; 
extern int           DLX_LINNUM; 

static int           DLX_PASNBR;
static int           DLX_ERRFLG;
static int           DLX_ADRSIZ = 0;

static char         *DLX_LABEL = NULL;

static unsigned int  DLX_ADDRES;
static int           DLX_SRTFLG;
static int           DLX_ORGFLG;
static int           DLX_INSFLG;

static unsigned long DLX_INSTAB [8];

static FILE         *DLX_FPWRIT;

static struct dct_entry **DLX_HSHTAB = NULL;
static struct dct_entry  *DLX_DCEHED = NULL;
static struct dct_recrd  *DLX_DCRHED = NULL;

static void dlx_error ();
static void dlx_head ();
static void dlx_foot ();

extern struct dct_entry **dlx_initab ();
extern void               dlx_addtab ();
