/*
 * $Author: ac $
 * $Id: bflstrmatch.c,v 1.2 1999/10/21 12:51:53 ac Exp $
 * $Date: 1999/10/21 12:51:53 $
 */
/*
 * $Log: bflstrmatch.c,v $
 * Revision 1.2  1999/10/21 12:51:53  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:38  alliance
 * fpmap import
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <stdio.h>

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

int
#ifdef __STDC__
bflstrmatch(char *pattern, char *str)
#else
bflstrmatch(pattern, str)
    char *pattern;
    char *str;

#endif
{
    int ok, negate;
    char pat, c;

    while (*pattern != '\0') {
	switch (pat = *pattern++) {
	case '*':
	    while (*pattern == '*')
		pattern++;
	    if (*pattern == '\0')
		return 0;

	    do
		if (bflstrmatch(pattern, str) == 0)
		    return 0;
	    while (*str++ != '\0');
	    return 0;

	case '?':
	    if (*str++ == '\0')
		return 1;
	    break;

	case '[':
	    ok = 0;
	    if ((c = *str++) == '\0')
		return 1;
	    if ((negate = (*pattern == '!')) != 0)
		pattern++;
	    while ((pat = *pattern++) != ']') {
		if (*pattern == '-') {
		    ok = (pat <= c && c <= pattern[1]);
		    pattern += 2;
		} else
		    ok = (pat == c);
	    }
	    if (ok == negate)
		return 1;
	    break;

	default:
	    if (*str++ != pat)
		return 1;
	    break;
	}
    }
    return (*str == '\0');
}
