/*
 * $Author: ac $
 * $Id: testrand.c,v 1.1 1999/10/21 12:51:55 ac Exp $
 * $Date: 1999/10/21 12:51:55 $
 */
/*
 * $Log: testrand.c,v $
 * Revision 1.1  1999/10/21 12:51:55  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#include <math.h>
#include BFL_H

int
main()
{
	int i;
	double sum_of_square = 0;
	double sum_of_rand   = 0;
	double average;

	for (i = 0; i < 50000; i++) {
		int rand = bflirand(100);
		if (rand > 100 - 1)
			bflerror(1, "bflirand chie a donf...");
		sum_of_square += rand * rand;
		sum_of_rand   += rand;
	}
	
	average = sum_of_rand/ 50000;
	printf("std_dev = %g\n", sqrt((sum_of_square - 50000 * average * average) / (double) (50000 - 1)));

	return 0;
}

