
/* ###--------------------------------------------------------------### */
/* file		: scg_addshent.c					*/
/* date		: Aug  5 1997						*/
/* version	: v101							*/
/* author	: Nizar ABDALLAH, Pirouz BARAGAN SABET			*/
/* description	: scheduler						*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>
#include SCG_H

/* ###--------------------------------------------------------------### */
/* function	: scg_addshent						*/
/* description	: create a time entry point to the scheduler		*/
/* called func.	: mbkalloc						*/
/* ###--------------------------------------------------------------### */

struct shent *scg_addshent (old_ent, date)

struct shent   *old_ent;
unsigned int    date   ;

  {
  struct shent *pt_shent;
  unsigned int  i       ;

  if (SCG_FREE_SHENT == NULL)
    {
    SCG_FREE_SHENT = (struct shent *)
                     mbkalloc (sizeof (struct shent) * SCG_DFN_ENTBLOCK);

    pt_shent = SCG_FREE_SHENT;
    for (i=0 ; i<SCG_DFN_ENTBLOCK ; i++)
      {
      pt_shent->NEXT = pt_shent + 1;
      pt_shent ++;
      }
    (pt_shent - 1)->NEXT = NULL;
    }

  pt_shent       = SCG_FREE_SHENT;
  SCG_FREE_SHENT = pt_shent->NEXT;

  for (i=0 ; i<8 ; i++)
    pt_shent->TRANS [i] = NULL;

  pt_shent->DATE  = date   ;
  pt_shent->NEXT  = old_ent;

  return (pt_shent);
  }
