/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*******************************************************************/
/*******************************************************************/
/**                                                               **/
/**  RFG_NETL                                                     **/
/**                                                               **/
/**  Version 6.03                                                 **/
/**                                                               **/
/*******************************************************************/
/*******************************************************************/

static char *ident_netl="@(#)(RFG) netlist view generation, version 6.03 (30/09/1993)";

/*******************************************************************/
/*******************************************************************/
/**                                                               **/
/**  RFG_NETLIST ( )                                              **/
/**                                                               **/
/*******************************************************************/
/*******************************************************************/

static void rfg_netlist ()

{
GENLIB_DEF_LOFIG(rfg_name_pref);

for(RFG_FIRST_CON(); RFG_TEST_CON(); RFG_NEXT_CON())
  {
  if(RFG_CON_VECTOR())
	GENLIB_LOCON(GENLIB_BUS(RFG_CON_NAME(), RFG_CON_START_INDEX(), RFG_CON_END_INDEX()),
      RFG_CON_TYPE()&rfg_con_in ? IN : (RFG_CON_TYPE()&rfg_con_out ? OUT : UNKNOWN),
      GENLIB_BUS(RFG_CON_NAME(), RFG_CON_START_INDEX(), RFG_CON_END_INDEX()));
  else
    GENLIB_LOCON(RFG_CON_NAME(), 
      RFG_CON_TYPE()&rfg_con_in ? IN : (RFG_CON_TYPE()&rfg_con_out ? OUT : UNKNOWN),
      RFG_CON_NAME());
  }

GENLIB_SAVE_LOFIG();
}

/*******************************************************************/
