# /*------------------------------------------------------------\
# |                                                             |
# | Tool   :                      SYF                           |
# |                                                             |
# | File   :                    local.mk                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# | Date   :                    12.06.96                        |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Target                          |
# |                                                             |
# \------------------------------------------------------------*/

LOCAL_TARGET_LIB = $(TARGET_LIB)
LOCAL_TARGET_INC = $(TARGET_INCLUDE)
LOCAL_TARGET_BIN = $(TARGET_BIN)

# /*------------------------------------------------------------\
# |                                                             |
# |                             Define                          |
# |                                                             |
# \------------------------------------------------------------*/

AUT_LIB = libAut103.a
AUT_L   = -lAut103
AUT_H   = aut103.h
LOCAL_AUT_SCE = aut

ABL_LIB = libAbl103.a
ABL_L   = -lAbl103
ABL_H   = abl103.h
LOCAL_ABL_SCE = abl

VEX_LIB = libVex103.a
VEX_L   = -lVex103
VEX_H   = vex103.h
LOCAL_VEX_SCE = vex

BDD_LIB = libBdd105.a
BDD_L   = -lBdd105
BDD_H   = bdd105.h
LOCAL_BDD_SCE = bdd

BTR_LIB = libBtr103.a
BTR_L   = -lBtr103
BTR_H   = btr103.h
LOCAL_BTR_SCE = btr

FSM_LIB = libFsm104.a
FSM_L   = -lFsm104
FSM_H   = fsm104.h
LOCAL_FSM_SCE = fsm

FKS_LIB = libFks104.a
FKS_L   = -lFks104
FKS_H   = fks104.h
LOCAL_FKS_SCE = fks

FVH_LIB = libFvh104.a
FVH_L   = -lFvh104
FVH_H   = fvh104.h
LOCAL_FVH_SCE = fvh

FTL_LIB = libFtl104.a
FTL_L   = -lFtl104
FTL_H   = ftl104.h
LOCAL_FTL_SCE = ftl

ABE_LIB = libAbe201.a
ABE_L   = -lAbe201
ABE_H   = abe201.h
LOCAL_ABE_SCE = abe

ABT_LIB = libAbt201.a
ABT_L   = -lAbt201
ABT_H   = abt201.h
LOCAL_ABT_SCE = abt

ABV_LIB = libAbv201.a
ABV_L   = -lAbv201
ABV_H   = abv201.h
LOCAL_ABV_SCE = abv

VBH_LIB = libVbh104.a
VBH_L   = -lVbh104
VBH_H   = vbh104.h
LOCAL_VBH_SCE = vbh

VBL_LIB = libVbl104.a
VBL_L   = -lVbl104
VBL_H   = vbl104.h
LOCAL_VBL_SCE = vbl

RTD_LIB = libRtd101.a
RTN_LIB = libRtn101.a
RTD_L   = -lRtd101
RTN_L   = -lRtn101
RTN_H   = rtn101.h
RTD_H   = rtd101.h
LOCAL_RTN_SCE = rtn
LOCAL_RTD_SCE = rtd

VPN_L   = -lVpn105
VTL_L   = -lVtl105
VVH_L   = -lVvh105
VPD_L   = -lVpd105
VHL_L   = -lVhl105
VPN_LIB = libVpn105.a
VTL_LIB = libVtl105.a
VVH_LIB = libVvh105.a
VPD_LIB = libVpd105.a
VHL_LIB = libVhl105.a
LOCAL_VPN_SCE = vpn
LOCAL_VTL_SCE = vtl
LOCAL_VVH_SCE = vvh
LOCAL_VPD_SCE = vpd
LOCAL_VHL_SCE = vhl
VPN_H   = vpn105.h
VTL_H   = vtl105.h
VHL_H   = vhl105.h
VVH_H   = vvh105.h
VPD_H   = vpd105.h


SCL_LIB = libScl105.a
SCL_L   = -lScl105
SCL_H   = scl105.h
LOCAL_SCL_SCE = scl

GCP_LIB = libGcp101.a
GCP_L   = -lGcp101
GCP_H   = gcp101.h
LOCAL_GCP_SCE = gcp

LOCAL_B2F_SCE = b2f
LOCAL_K2F_SCE = k2f
LOCAL_SYF_SCE = syf
LOCAL_XFS_SCE = xfs
LOCAL_XPT_SCE = xpt
LOCAL_K2F_SCE = k2f
LOCAL_XSC_SCE = xsc
LOCAL_XVP_SCE = xvp
LOCAL_VAS_SCE = vas
LOCAL_BOO_SCE = boo
LOCAL_FSP_SCE = fsp
LOCAL_FMI_SCE = fmi

