/*
 * $Author: ac $
 * $Id: bflchrono.h,v 1.1 1999/10/21 12:51:50 ac Exp $
 * $Date: 1999/10/21 12:51:50 $
 */
/*
 * $Log: bflchrono.h,v $
 * Revision 1.1  1999/10/21 12:51:50  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#ifndef __bflchrono_h
#define __bflchrono_h

/*----------------------------------------------------------------------*/
/*                           Nested includes                            */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

#ifndef __P
# ifdef __STDC__
#  define __P(args)	args
# else
#  define __P(args)	()
# endif
#endif

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

typedef struct bflchrono {
	struct rusage	 start;
	struct rusage	 lap;
} bflchrono_t;

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                     Private functions prototypes                     */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                     Exported functions prototypes                    */      /*----------------------------------------------------------------------*/

extern bflchrono_t *bflchrononew __P((void));
extern void         bflchronostart __P((bflchrono_t *));
extern char        *bflchronolap __P((bflchrono_t *));

#endif /* __bflchrono_h */
