%{
# include <stdio.h>
# include  MUT_H
# include  BFL_H
# include  LAX_H
# include "laxgram.h"

#define YY_NO_UNPUT	/* Avoids warning */
#define	yywrap()	1

int	yylineno = 1;

%}

L		[_A-Za-z]
D		[0-9]

%%

[ \t\f]		{ }
\n		{ ++yylineno; }
##.*		{ }

#M		{ return T_MODE; }
#L		{ return T_LEVEL; }
#D		{ return T_DELAY; }
#E		{ return T_EARLY; }
#S		{ return T_SIGNAL; }
#N		{ return T_TRANSN; }
#P		{ return T_TRANSP; }
#T		{ return T_SLOPE; }
#F		{ return T_CAPI; }
#C		{ return T_CAPO; }
#I		{ return T_IMPI; }
#B		{ return T_BUFI; }
#K		{ return T_CLOCK; }

{L}({L}|{D})*	{ yylval.String = namealloc( yytext ); return T_Identifier; }
{D}+		{ sscanf(yytext, "%ld", &yylval.Long); return T_Long; }
.		{ return *yytext; }

%%

