/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include MUT_H
#include MLO_H


usage(progname)
char *progname;
{
	fprintf(stderr, "%s needs a logical file as argument\n", progname);
	EXIT(1);
}

main(argc, argv)
int argc;
char **argv;
{
lofig_list *p;


	mbkenv();
	alliancebanner ("ViewLO", "1.4", "Display LOgical figure", "1990", ALLIANCE_VERSION);

	if (argc != 2)
		usage(argv[0]);

	getlofig(argv[1],'A');
	viewlo();
	exit(0);
}
