#ifndef __PFixedIns_h
#define __PFixedIns_h

#include "PIns.h"
#include "PPos.h"
extern "C"{
#include MUT_H
#include MPH_H
}

class PFixedIns : public PIns {
    
  private:
    phins*		_pins;
    PPos		_pos;
    double		_height;
  
  public:
    PFixedIns(loins* ins, phins* pins, unsigned nbsigs, int dx, int dy); 

    double		GetHeight() const			{ return _height; }
    PPos		GetPos() const				{ return _pos; }
    
    ostream&		Print(ostream& os) const;
};

#endif /* __PFixedIns_h */
