#ifndef __PToPlaceIns_h
#define __PToPlaceIns_h

#include "PIns.h"
#include "PBin.h"


class PToPlaceIns : public PIns {
    
  private:  
    PBin*		_bin;
  
  public:
    PToPlaceIns(loins* ins, unsigned nbsigs); 

    void		SetBin(PBin* NewBin)			{ _bin = NewBin; }
    PBin&               GetBin() const				{ return *_bin; }

    PPos		GetPos() const				{ return _bin->GetPos(); }
    double		GetHeight() const			{ return _bin->GetHeight(); }
    bool		GetOrientation() const			{ return _bin->GetOrientation(); }
    
    ostream&		Print(ostream& os) const;
};
#endif /* __PToPlaceIns_h */
