/*
   ### -------------------------------------------------- ### 
   $Author: hcl $
   $Date: 2001/09/26 14:27:48 $
   $Log: display.c,v $
   Revision 1.1  2001/09/26 14:27:48  hcl
   premier commit....

   ### -------------------------------------------------- ### 
 */
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "display.h"

static char *res_id = "$Id: display.c,v 1.1 2001/09/26 14:27:48 hcl Exp $";

/**
 * fonction d'affichage standard
 * avec 5 niveaux 
**/
void
display (int i_nLevel, int i_nType, char *fmt,...)
{
  va_list l_pParam;

  va_start (l_pParam, fmt);
  switch (i_nType)
    {
    case ERROR:
	 fprintf (stderr, "ERROR : ");
	 vfprintf (stderr, fmt, l_pParam);
	 break;
    case WARNING:
	 fprintf (stderr, "WARNING : ");
	 vfprintf (stderr, fmt, l_pParam);
	 break;
    case INFO:
	 vfprintf (stdout, fmt, l_pParam);
	 break;
    case VERBOSE:
	 if ((i_nLevel == VERBOSE) || (i_nLevel == DEBUG))
	   vfprintf (stdout, fmt, l_pParam);
	 break;
    case DEBUG:
	 if (i_nLevel == DEBUG)
	   vfprintf (stdout, fmt, l_pParam);
    }
  va_end (l_pParam);
}
