
/* ###--------------------------------------------------------------### */
/* 									*/
/* file		: prb_freprbini.c					*/
/* date		: May 18 1994						*/
/* version	: v100							*/
/* authors	: Julien DUNOYER					*/
/* content	: low-level prb function				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include MUT_H
#include PRB_H

/* ###--------------------------------------------------------------### */
/* function	: prb_freprbini						*/
/* description	: release a list of PRBINI (unscannable register) 	*/
/*		  structures						*/
/* called func.	: mbkfree						*/
/* ###--------------------------------------------------------------### */

void prb_freprbini (listprbini)

struct prbini *listprbini;

  {
  struct prbini *ptini;

        /* ###------------------------------------------------------### */
        /*    for each object of the list delete the object itself      */
        /* ###------------------------------------------------------### */

  while (listprbini != NULL)
    {
    ptini     = listprbini;
    listprbini = listprbini->NEXT;
    mbkfree (ptini);
    }
  }
